| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | List of all members
Digikam::SurveyStack Class Reference
Inheritance diagram for Digikam::SurveyStack:

## Public Types
enum | SurveyStackMode { SurveyStackModeFirst = 0 , PreviewImageMode = 0 , MediaPlayerMode = 1 , SurveyStackModeLast = 1 }

## Public Slots
void | decreaseZoom ()
void | fitToWindow ()
void | increaseZoom ()
void | setZoomFactor (double z)
void | setZoomFactorSnapped (double z)
void | toggleFitToWindowOr100 ()
void | zoomTo100Percents ()

## Signals
void | signalAddToExistingQueue (int)
void | signalDeleteItem ()
void | signalEscapePreview ()
void | signalGotoAlbumAndItem (const ItemInfo &)
void | signalGotoDateAndItem (const ItemInfo &)
void | signalGotoTagAndItem (int)
void | signalNextItem ()
void | signalPopupTagsView ()
void | signalPrevItem ()
void | signalViewModeChanged ()
void | signalZoomFactorChanged (double)

## Public Member Functions
| SurveyStack (DigikamItemView *const iconView, QWidget *const parent=nullptr)
ItemPreviewView * | imagePreviewView () const
bool | maxZoom ()
bool | minZoom ()
void | previewLoaded ()
void | setDockArea (QMainWindow *)
| Attach the thumbnail dock widget to the specified QMainWindow.
void | setPreviewItem (const ItemInfo &info=ItemInfo(), const ItemInfo &previous=ItemInfo(), const ItemInfo &next=ItemInfo())
void | setViewMode (const SurveyStackMode mode)
ItemThumbnailBar * | thumbBar () const
ThumbBarDock * | thumbBarDock () const
SurveyStackMode | viewMode () const
double | zoomFactor ()
double | zoomMax ()
double | zoomMin ()